curl --request POST \
--url https://api.sandbox.isometric.com/mrv/v0/feedstock_batches \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-client-secret: <x-client-secret>' \
--data '
{
"delivery_date": "2023-12-25",
"display_name": "<string>",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"mass": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"supplier_reference_id": "<string>"
}
'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/feedstock_batches"
payload = {
"delivery_date": "2023-12-25",
"display_name": "<string>",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"mass": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"supplier_reference_id": "<string>"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
delivery_date: '2023-12-25',
display_name: '<string>',
feedstock_type_id: 'ftt_1D7KZ1P761S0G7BN',
mass: {magnitude: 123, unit: '<string>', standard_deviation: 123},
supplier_reference_id: '<string>'
})
};
fetch('https://api.sandbox.isometric.com/mrv/v0/feedstock_batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"delivery_date": "2023-12-25",
"display_name": "<string>",
"feedstock_type_id": "ftt_1D7KZ1P761S0G7BN",
"id": "ftb_1DYYDB3C91S0ZHPX",
"mass": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"supplier_reference_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Post Feedstock Batch
Creates a feedstock batch in the Isometric system
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Body
The date the feedstock batch was delivered to a field / to a site etc
The display name for this feedstock batch
1 - 150The kind of feedstock used to create this feedstock batch
20 - 37"ftt_1D7KZ1P761S0G7BN"
"ftt_1CSRJN4HHSBXZ3TK"
Show child attributes
Show child attributes
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Response
Successful Response
20 - 37"ftt_1D7KZ1P761S0G7BN"
"ftt_1CSRJN4HHSBXZ3TK"
20 - 37"ftb_1DYYDB3C91S0ZHPX"
"ftb_1G59XDK6HSBXCZ9B"
Show child attributes
Show child attributes
A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.
1 - 200Was this page helpful?